import numpy as np
import matplotlib.pyplot as plt
from astropy.modeling.models import Gaussian2D
gauss = Gaussian2D(1, 0, 0, 2, 2)
# Fake image data including noise
x = np.arange(-100, 101)
y = np.arange(-100, 101)
x, y = np.meshgrid(x, y)
data_2D = gauss(x, y) + 0.1 * (np.random.rand(201, 201) - 0.5)
plt.imshow(data_2D, origin='lower')
plt.xlabel('x [pixels]')
plt.ylabel('y [pixels]')
plt.colorbar()
plt.show()